Bug 58981 - System.MissingMethodException: Method 'Array.Reverse' not found.
Summary: System.MissingMethodException: Method 'Array.Reverse' not found.
Status: NEEDINFO
Alias: None
Product: iOS
Classification: Xamarin
Component: General (show other bugs)
Version: XI 10.99 (xcode9)
Hardware: PC Windows
: --- normal
Target Milestone: Untriaged
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2017-08-23 17:45 UTC by brux88
Modified: 2017-09-28 20:31 UTC (History)
7 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Diagnostic and information (159.55 KB, application/x-rar)
2017-08-24 07:59 UTC, brux88
Details

Description brux88 2017-08-23 17:45:08 UTC
after update visual studio 15.3 i show this error when i compiled for ios:

------ Inizio compilazione: Progetto: WuThinkX.iOS, Configurazione: Debug iPhoneSimulator ------
2>  Connessione al server Mac 192.168.134.128...
2>C:\Progetti\Mobile\WuThinkX\WuThinkX\WuThinkX.iOS\Info.plist : warning : Info.plist files should have a Build Action of 'None'.
2>  non è possibile risolvere il conflitto tra "System.Net.Http, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" e "System.Net.Http, Version=1.5.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a". Verrà scelto "System.Net.Http, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" in modo arbitrario.
2>  non è possibile risolvere il conflitto tra "System.Runtime.Serialization, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" e "System.Runtime.Serialization, Version=2.0.5.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e". Verrà scelto "System.Runtime.Serialization, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" in modo arbitrario.
2>  Per risolvere il conflitto ed eliminare l'avviso, provare a modificare un mapping con app.config dell'assembly "System.Net.Http, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" dalla versione "1.5.0.0" [] alla versione "4.0.0.0" [C:\Program Files (x86)\Microsoft Visual Studio\2017\Enterprise\Common7\IDE\ReferenceAssemblies\Microsoft\Framework\Xamarin.iOS\v1.0\System.Net.Http.dll].
2>C:\Program Files (x86)\Microsoft Visual Studio\2017\Enterprise\MSBuild\15.0\Bin\Microsoft.Common.CurrentVersion.targets(1987,5): warning MSB3276: sono stati rilevati conflitti tra versioni diverse dello stesso assembly dipendente. Impostare la proprietà "AutoGenerateBindingRedirects" su true nel file di progetto. Per altre informazioni, vedere http://go.microsoft.com/fwlink/?LinkId=294190.
2>  WuThinkX.iOS -> C:\Progetti\Mobile\WuThinkX\WuThinkX\WuThinkX.iOS\bin\iPhoneSimulator\Debug\WuThinkXiOS.exe
2>  Detected signing identity:
2>    Bundle Id: com.brux88.Wuthink
2>    App Id: com.brux88.Wuthink
2>C:\Program Files (x86)\Microsoft Visual Studio\2017\Enterprise\MSBuild\Xamarin\iOS\Xamarin.iOS.Common.targets(748,3): error : Unexpected error - Please file a bug report at http://bugzilla.xamarin.com
2>  System.MissingMethodException: Method 'Array.Reverse' not found.
2>    at Xamarin.MacDev.PropertyListFormat+BinaryFormat+Context.ReadBigEndianUInt64 () [0x00001] in /Users/builder/data/lanes/4991/4a279c9a/source/xamarin-macios/external/Xamarin.MacDev/Xamarin.MacDev/PListObject.cs:1480 
2>    at Xamarin.MacDev.PropertyListFormat+BinaryFormat+Context+CFBinaryPlistTrailer.Read (Xamarin.MacDev.Context ctx) [0x0001d] in /Users/builder/data/lanes/4991/4a279c9a/source/xamarin-macios/external/Xamarin.MacDev/Xamarin.MacDev/PListObject.cs:1815 
2>    at Xamarin.MacDev.PropertyListFormat+BinaryFormat+Context..ctor (System.IO.Stream stream, Boolean reading) [0x00015] in /Users/builder/data/lanes/4991/4a279c9a/source/xamarin-macios/external/Xamarin.MacDev/Xamarin.MacDev/PListObject.cs:1293 
2>    at Xamarin.MacDev.PropertyListFormat+BinaryFormat.StartReading (System.IO.Stream input) [0x00064] in /Users/builder/data/lanes/4991/4a279c9a/source/xamarin-macios/external/Xamarin.MacDev/Xamarin.MacDev/PListObject.cs:1260 
2>    at Xamarin.MacDev.PObject.FromFile (System.String fileName, System.Boolean& isBinary) [0x0000b] in /Users/builder/data/lanes/4991/4a279c9a/source/xamarin-macios/external/Xamarin.MacDev/Xamarin.MacDev/PListObject.cs:335 
2>    at Xamarin.MacDev.PDictionary.FromFile (System.String fileName, System.Boolean& isBinary) [0x00001] in /Users/builder/data/lanes/4991/4a279c9a/source/xamarin-macios/external/Xamarin.MacDev/Xamarin.MacDev/PListObject.cs:762 
2>    at Xamarin.MacDev.PDictionary.FromFile (System.String fileName) [0x00001] in /Users/builder/data/lanes/4991/4a279c9a/source/xamarin-macios/external/Xamarin.MacDev/Xamarin.MacDev/PListObject.cs:749 
2>    at Xamarin.Bundler.Driver.FromPList (System.String name) [0x00026] in /Users/builder/data/lanes/4991/4a279c9a/source/xamarin-macios/tools/mtouch/mtouch.cs:896 
2>    at Xamarin.Bundler.CompileTask.GetSimulatorCompilerFlags (Xamarin.Utils.CompilerFlags flags, Boolean is_assembler, Xamarin.Bundler.Application app, System.String language) [0x0001e] in /Users/builder/data/lanes/4991/4a279c9a/source/xamarin-macios/tools/mtouch/BuildTasks.mtouch.cs:444 
2>    at Xamarin.Bundler.Target.NativeLink (Xamarin.Bundler.BuildTasks build_tasks) [0x00375] in /Users/builder/data/lanes/4991/4a279c9a/source/xamarin-macios/tools/mtouch/Target.cs:1331 
2>    at Xamarin.Bundler.Application.BuildApp () [0x0003a] in /Users/builder/data/lanes/4991/4a279c9a/source/xamarin-macios/tools/mtouch/Application.cs:1446 
2>    at Xamarin.Bundler.Application.BuildNative () [0x0001f] in /Users/builder/data/lanes/4991/4a279c9a/source/xamarin-macios/tools/mtouch/Application.cs:839 
2>    at Xamarin.Bundler.Application+<>c.<BuildAll>b__134_2 (Xamarin.Bundler.Application v) [0x00000] in /Users/builder/data/lanes/4991/4a279c9a/source/xamarin-macios/tools/mtouch/Application.cs:776 
2>    at System.Collections.Generic.List`1[T].ForEach (System.Action`1 action) <0x10e87d380 + 0x00082> in <filename unknown>:0 
2>    at Xamarin.Bundler.Application.BuildAll () [0x00076] in /Users/builder/data/lanes/4991/4a279c9a/source/xamarin-macios/tools/mtouch/Application.cs:776 
2>    at Xamarin.Bundler.Driver.Main2 (System.String[] args) [0x00481] in /Users/builder/data/lanes/4991/4a279c9a/source/xamarin-macios/tools/mtouch/mtouch.cs:1420 
2>    at Xamarin.Bundler.Driver.Main (System.String[] args) [0x0000f] in /Users/builder/data/lanes/4991/4a279c9a/source/xamarin-macios/tools/mtouch/mtouch.cs:945 
========== Compilazione: 1 completate, 1 non riuscite, 0 aggiornate, 0 ignorate ==========
Comment 1 Timothy Risi 2017-08-23 20:14:56 UTC
Please include your full build logs, crash reports (if any), test case (to reproduce) and all version information.

To get full build logs just set the log verbosity to diagnostic at the following locations:
- On Visual Studio for Mac: Preferences > Projects > Build
- On Visual Studio for Windows: Tools > Options > Projects and Solutions > Build and Run

On Visual Studio Windows you also want to add `-v -v -v -v` to the mtouch additional arguments by right-clicking the project in the solution explorer and selecting `Properties`.
Note: this is done automatically on Visual Studio for Mac when the log verbosity is set to diagnostic.

Easiest way to get exact version information:
- On Visual Studio for Mac: "Visual Studio" menu, "About Visual Studio" item, "Show Details" button.
- On Visual Studio for Windows: "Help menu", "About Microsoft Visual Studio" item.
Then copy/paste the version information (you can use the "Copy Information" button).
Comment 2 brux88 2017-08-24 07:59:18 UTC
Created attachment 24391 [details]
Diagnostic and information

i set verbosity to diagnostic and i added "-v-v-v-v" into proprietes my project ios.

i added full output visual studio
Comment 3 brux88 2017-08-24 08:00:48 UTC
Comment on attachment 24391 [details]
Diagnostic and information

Microsoft Visual Studio Enterprise 2017 
Versione 15.3.2
VisualStudio.15.Release/15.3.2+26730.10
Microsoft .NET Framework
Versione 4.7.02046

Edizione installata: Enterprise

Visual Basic 2017   00369-60000-00001-AA573
Microsoft Visual Basic 2017

Visual C# 2017   00369-60000-00001-AA573
Microsoft Visual C# 2017

Visual F# 4.1   00369-60000-00001-AA573
Microsoft Visual F# 4.1

Common Azure Tools   1.10
Provides common services for use by Azure Mobile Services and Microsoft Azure Tools.

CreateLayoutWizard   1.0
Create layout wizard.

DevExpress.DeploymentTool   1.0
A useful tool for deploying DevExpress assemblies.

GarbageCollectBeforeBuildPackage Extension   1.0
GarbageCollectBeforeBuildPackage Visual Studio Extension Detailed Info

Gestione pacchetti NuGet   4.3.0
Gestione pacchetti NuGet in Visual Studio. Per altre informazioni su NuGet, visitare il sito Web http://docs.nuget.org/.

GestioneVersioneVS   1.0
Managed Version Builder

JetBrains ReSharper Ultimate 2016.3.2    Build 107.0.20170126.120331
JetBrains ReSharper Ultimate package for Microsoft Visual Studio. For more information about ReSharper Ultimate, visit http://www.jetbrains.com/resharper. Copyright © 2017 JetBrains, Inc.

Merq   1.1.17-rc (cba4571)
Command Bus, Event Stream and Async Manager for Visual Studio extensions.

Mono Debugging for Visual Studio   4.6.8-pre (ec7034f)
Support for debugging Mono processes with Visual Studio.

Visual Studio Code Debug Adapter Host Package   1.0
Interop layer for hosting Visual Studio Code debug adapters in Visual Studio

WebJobs Tools v1.0.0   15.0.30812.0
WebJobs Tools v1.0.0

Xamarin   4.6.0.299 (b63523e27)
Estensione di Visual Studio per consentire lo sviluppo per Xamarin.iOS e Xamarin.Android.

Xamarin.Android SDK   7.4.0.21 (2851083)
Xamarin.Android Reference Assemblies and MSBuild support.

Xamarin.iOS and Xamarin.Mac SDK   10.12.0.20 (80b8487)
Xamarin.iOS and Xamarin.Mac Reference Assemblies and MSBuild support.

XtraReports package   1.0
XtraReports package
Comment 4 schreckenbauer 2017-08-24 08:25:04 UTC
I can confirm this bug.

Installed software as follows
On Mac:
Xamarin iOS 10.12 (Aug 23, 2017)

On PC:
Visual Studio 2017 (15.3.2)
Xamarin 4.6.0.299
Xamarin.iOS 10.12.0.20

Steps to reproduce:
1) Create a new Project
   - iOS-Universal
   - Single View-Application
2) Goto Project-Properties
3) Select iOS-Build
4) Select "Link Framework SDKs Only" or "Link All"
5) Build the thing

I get the following exception with stacktrace:

1>C:\Program Files (x86)\Microsoft Visual Studio\2017\Enterprise\MSBuild\Xamarin\iOS\Xamarin.iOS.Common.targets(748,3): error : Unexpected error - Please file a bug report at http://bugzilla.xamarin.com
1>  System.MissingMethodException: Method 'System.Array.Reverse' not found.
1>    at Xamarin.MacDev.PropertyListFormat+BinaryFormat+Context.ReadBigEndianUInt64 () [0x00001] in /Users/builder/data/lanes/4991/80b8487d/source/xamarin-macios/external/Xamarin.MacDev/Xamarin.MacDev/PListObject.cs:1480 
1>    at Xamarin.MacDev.PropertyListFormat+BinaryFormat+Context+CFBinaryPlistTrailer.Read (Xamarin.MacDev.PropertyListFormat+BinaryFormat+Context ctx) [0x0001d] in /Users/builder/data/lanes/4991/80b8487d/source/xamarin-macios/external/Xamarin.MacDev/Xamarin.MacDev/PListObject.cs:1815 
1>    at Xamarin.MacDev.PropertyListFormat+BinaryFormat+Context..ctor (System.IO.Stream stream, System.Boolean reading) [0x00015] in /Users/builder/data/lanes/4991/80b8487d/source/xamarin-macios/external/Xamarin.MacDev/Xamarin.MacDev/PListObject.cs:1293 
1>    at Xamarin.MacDev.PropertyListFormat+BinaryFormat.StartReading (System.IO.Stream input) [0x00064] in /Users/builder/data/lanes/4991/80b8487d/source/xamarin-macios/external/Xamarin.MacDev/Xamarin.MacDev/PListObject.cs:1260 
1>    at Xamarin.MacDev.PObject.FromFile (System.String fileName, System.Boolean& isBinary) [0x0000b] in /Users/builder/data/lanes/4991/80b8487d/source/xamarin-macios/external/Xamarin.MacDev/Xamarin.MacDev/PListObject.cs:335 
1>    at Xamarin.MacDev.PDictionary.FromFile (System.String fileName, System.Boolean& isBinary) [0x00001] in /Users/builder/data/lanes/4991/80b8487d/source/xamarin-macios/external/Xamarin.MacDev/Xamarin.MacDev/PListObject.cs:762 
1>    at Xamarin.MacDev.PDictionary.FromFile (System.String fileName) [0x00001] in /Users/builder/data/lanes/4991/80b8487d/source/xamarin-macios/external/Xamarin.MacDev/Xamarin.MacDev/PListObject.cs:749 
1>    at Xamarin.Bundler.Driver.FromPList (System.String name) [0x00026] in /Users/builder/data/lanes/4991/80b8487d/source/xamarin-macios/tools/mtouch/mtouch.cs:896 
1>    at Xamarin.Bundler.CompileTask.GetSimulatorCompilerFlags (Xamarin.Utils.CompilerFlags flags, System.Boolean is_assembler, Xamarin.Bundler.Application app, System.String language) [0x0001e] in /Users/builder/data/lanes/4991/80b8487d/source/xamarin-macios/tools/mtouch/BuildTasks.mtouch.cs:444 
1>    at Xamarin.Bundler.Target.NativeLink (Xamarin.Bundler.BuildTasks build_tasks) [0x00375] in /Users/builder/data/lanes/4991/80b8487d/source/xamarin-macios/tools/mtouch/Target.cs:1331 
1>    at Xamarin.Bundler.Application.BuildApp () [0x0003a] in /Users/builder/data/lanes/4991/80b8487d/source/xamarin-macios/tools/mtouch/Application.cs:1446 
1>    at Xamarin.Bundler.Application.BuildNative () [0x0001f] in /Users/builder/data/lanes/4991/80b8487d/source/xamarin-macios/tools/mtouch/Application.cs:839 
1>    at Xamarin.Bundler.Application+<>c.<BuildAll>b__134_2 (Xamarin.Bundler.Application v) [0x00000] in /Users/builder/data/lanes/4991/80b8487d/source/xamarin-macios/tools/mtouch/Application.cs:776 
1>    at System.Collections.Generic.List`1[T].ForEach (System.Action`1[T] action) [0x00035] in <94fd79a3b7144c54b4cb162b50fc7761>:0 
1>    at Xamarin.Bundler.Application.BuildAll () [0x00076] in /Users/builder/data/lanes/4991/80b8487d/source/xamarin-macios/tools/mtouch/Application.cs:776 
1>    at Xamarin.Bundler.Driver.Main2 (System.String[] args) [0x00481] in /Users/builder/data/lanes/4991/80b8487d/source/xamarin-macios/tools/mtouch/mtouch.cs:1420 
1>    at Xamarin.Bundler.Driver.Main (System.String[] args) [0x0000f] in /Users/builder/data/lanes/4991/80b8487d/source/xamarin-macios/tools/mtouch/mtouch.cs:945

It does compile when I select "Don't Link" in this simple case. It does not work when I select "Don't link" in our real app. I get the exact same exception there, no matter what I select in the Linker setting.
Comment 5 Torben Kruse 2017-08-24 10:11:37 UTC
Exact same issue here. 

2>  System.MissingMethodException: Method 'System.Array.Reverse' not found.
2>    at Xamarin.MacDev.PropertyListFormat+BinaryFormat+Context.ReadBigEndianUInt64 () [0x00001] in /Users/builder/data/lanes/4991/80b8487d/source/xamarin-macios/external/Xamarin.MacDev/Xamarin.MacDev/PListObject.cs:1480 
2>    at Xamarin.MacDev.PropertyListFormat+BinaryFormat+Context+CFBinaryPlistTrailer.Read (Xamarin.MacDev.PropertyListFormat+BinaryFormat+Context ctx) [0x0001d] in /Users/builder/data/lanes/4991/80b8487d/source/xamarin-macios/external/Xamarin.MacDev/Xamarin.MacDev/PListObject.cs:1815 
2>    at Xamarin.MacDev.PropertyListFormat+BinaryFormat+Context..ctor (System.IO.Stream stream, System.Boolean reading) [0x00015] in /Users/builder/data/lanes/4991/80b8487d/source/xamarin-macios/external/Xamarin.MacDev/Xamarin.MacDev/PListObject.cs:1293 
2>    at Xamarin.MacDev.PropertyListFormat+BinaryFormat.StartReading (System.IO.Stream input) [0x00064] in /Users/builder/data/lanes/4991/80b8487d/source/xamarin-macios/external/Xamarin.MacDev/Xamarin.MacDev/PListObject.cs:1260 
2>    at Xamarin.MacDev.PObject.FromFile (System.String fileName, System.Boolean& isBinary) [0x0000b] in /Users/builder/data/lanes/4991/80b8487d/source/xamarin-macios/external/Xamarin.MacDev/Xamarin.MacDev/PListObject.cs:335 
2>    at Xamarin.MacDev.PDictionary.FromFile (System.String fileName, System.Boolean& isBinary) [0x00001] in /Users/builder/data/lanes/4991/80b8487d/source/xamarin-macios/external/Xamarin.MacDev/Xamarin.MacDev/PListObject.cs:762 
2>    at Xamarin.MacDev.PDictionary.FromFile (System.String fileName) [0x00001] in /Users/builder/data/lanes/4991/80b8487d/source/xamarin-macios/external/Xamarin.MacDev/Xamarin.MacDev/PListObject.cs:749 
2>    at Xamarin.Bundler.Driver.FromPList (System.String name) [0x00026] in /Users/builder/data/lanes/4991/80b8487d/source/xamarin-macios/tools/mtouch/mtouch.cs:896 
2>    at Xamarin.Bundler.Application.GetStringFromInfoPList (System.String directory, System.String key) [0x0001e] in /Users/builder/data/lanes/4991/80b8487d/source/xamarin-macios/tools/mtouch/Application.cs:584 
2>    at Xamarin.Bundler.Application.GetStringFromInfoPList (System.String key) [0x00001] in /Users/builder/data/lanes/4991/80b8487d/source/xamarin-macios/tools/mtouch/Application.cs:575 
2>    at Xamarin.Bundler.Application.get_BundleId () [0x00001] in /Users/builder/data/lanes/4991/80b8487d/source/xamarin-macios/tools/mtouch/Application.cs:569 
2>    at Xamarin.Bundler.Application.GenerateMSymManifest (Xamarin.Bundler.Target target, System.String target_directory) [0x00022] in /Users/builder/data/lanes/4991/80b8487d/source/xamarin-macios/tools/mtouch/Application.cs:1926 
2>    at Xamarin.Bundler.Application.BuildMSymDirectory () [0x00054] in /Users/builder/data/lanes/4991/80b8487d/source/xamarin-macios/tools/mtouch/Application.cs:1996 
2>    at Xamarin.Bundler.Application.BuildEnd () [0x00008] in /Users/builder/data/lanes/4991/80b8487d/source/xamarin-macios/tools/mtouch/Application.cs:853 
2>    at Xamarin.Bundler.Application+<>c.<BuildAll>b__134_3 (Xamarin.Bundler.Application v) [0x00000] in /Users/builder/data/lanes/4991/80b8487d/source/xamarin-macios/tools/mtouch/Application.cs:778 
2>    at System.Collections.Generic.List`1[T].ForEach (System.Action`1[T] action) [0x00035] in <dca3b561b8ad4f9fb10141d81b39ff45>:0 
2>    at Xamarin.Bundler.Application.BuildAll () [0x000a3] in /Users/builder/data/lanes/4991/80b8487d/source/xamarin-macios/tools/mtouch/Application.cs:778 
2>    at Xamarin.Bundler.Driver.Main2 (System.String[] args) [0x00481] in /Users/builder/data/lanes/4991/80b8487d/source/xamarin-macios/tools/mtouch/mtouch.cs:1420 
2>    at Xamarin.Bundler.Driver.Main (System.String[] args) [0x0000f] in /Users/builder/data/lanes/4991/80b8487d/source/xamarin-macios/tools/mtouch/mtouch.cs:945 

Chaning the linker settings didn't help. Skipping System assemblies for linking didn't either.
Comment 6 Torben Kruse 2017-08-24 10:32:12 UTC
Updating mono to 5.2.0.215 on the build server did fix it.
Comment 7 brux88 2017-08-24 10:34:41 UTC
how i can uodate mono on windows pc with visual studio 2017
Comment 8 schreckenbauer 2017-08-24 10:51:12 UTC
Is this mono on the Mac? How did you update it? Thanks!
Comment 9 Torben Kruse 2017-08-24 11:19:25 UTC
http://www.mono-project.com/download/#download-mac
Comment 10 brux88 2017-08-24 11:22:33 UTC
I'm working on windows with visual studio 17 (15.3.2)

I tried to download (Mono Framework 5.2.0.215)from the http://www.mono-project.com but I always installed the same error
Comment 11 brux88 2017-08-24 11:24:07 UTC
Sorry I did not read the comment, I have to download mono framework on the mac, right?
Comment 12 schreckenbauer 2017-08-24 12:04:29 UTC
Many thanks, Torben Kruse. Updating mono to 5.2.0.215 on the Mac did fix the problem for me as well.
Comment 13 brux88 2017-08-24 14:09:45 UTC
Thanks  Torben Kruse, now work ;) greatttttt
Comment 14 schreckenbauer 2017-08-24 14:14:46 UTC
Imo the bug is not fixed at all. There's a workaround available. Being required to manually update mono on the Mac is no solution. Anyone updating to the latest stable(!) Xamarin.iOS could be affected by this problem. I hope the information given in this thread helps the devs at xamarin to provide a real fix for this for the next release.
Comment 15 brux88 2017-08-24 14:17:25 UTC
schreckenbauer@sixdata.de  you are right,We expect response from xamarin team.
i reopened the bug
Comment 16 Timothy Risi 2017-08-24 17:21:05 UTC
Could you provide the full version information for the mac build hosts as well?  (Comment 1 lists the step to retrieve it)
Comment 17 schreckenbauer 2017-08-25 06:42:52 UTC
Well, I already updated mono on my Mac. It works for me now, so I'm pretty sure full version information of the build host is not useful anymore. I don't see the steps to retrieve them in comment 1 anyway :D It's about diagnostics and version listed in VS. I might be able to reproduce the problem on another Mac on Monday. When this is the case, I'll follow the steps in comment 1 and add the requested info to this bug.

Here's what my VS says about versions:

Microsoft Visual Studio Enterprise 2017 
Version 15.3.2
VisualStudio.15.Release/15.3.2+26730.10
Microsoft .NET Framework
Version 4.7.02046

Installierte Version: Enterprise

Architekturdiagramme und Analysetools   00369-60000-00001-AA524
Microsoft-Architekturdiagramme und Analysetools

Visual Basic 2017   00369-60000-00001-AA524
Microsoft Visual Basic 2017

Visual C# 2017   00369-60000-00001-AA524
Microsoft Visual C# 2017

Visual C++ 2017   00369-60000-00001-AA524
Microsoft Visual C++ 2017

Visual F# 4.1   00369-60000-00001-AA524
Microsoft Visual F# 4.1

Allgemeine Azure-Tools   1.10
Bietet allgemeine Dienste für die Verwendung durch Azure Mobile Services und Microsoft Azure-Tools.

Application Insights-Tools für Visual Studio-Paket   8.8.00712.1
Application Insights-Tools für Visual Studio

ASP.NET and Web Tools 2017   15.0.30726.0
ASP.NET and Web Tools 2017

ASP.NET Core Razor Language Services   1.0
Provides languages services for ASP.NET Core Razor.

ASP.NET Template Engine 2017   15.0.30726.0
ASP.NET Template Engine 2017

ASP.NET Web Frameworks and Tools 2017   5.2.50601.0
For additional information, visit https://www.asp.net/

Azure App Service-Tools v3.0.0   15.0.30728.0
Azure App Service-Tools v3.0.0

Azure Data Lake Node   1.0
This package contains the Data Lake integration nodes for Server Explorer.

Azure Data Lake Tools for Visual Studio   2.2.9000.1
Microsoft Azure Data Lake Tools for Visual Studio

Azure Data Lake Tools for Visual Studio   2.2.9000.1
Microsoft Azure Data Lake Tools for Visual Studio

Devart Code Compare   4.2.221
Devart Code Compare
Copyright (c) 2012-2017 Devart. All rights reserved.
http://www.devart.com/codecompare/

GitHub.VisualStudio   2.2.0.10
A Visual Studio Extension that brings the GitHub Flow into Visual Studio.

JavaScript-Sprachdienst   2.0
JavaScript-Sprachdienst

JavaScript Project System   2.0
JavaScript Project System

JavaScript UWP-Projektsystem   2.0
JavaScript UWP-Projektsystem

JustDecompilePackage2017 Extension   1.0
JustDecompilePackage2017 Visual Studio Extension Detailed Info

Merq   1.1.17-rc (cba4571)
Command Bus, Event Stream and Async Manager for Visual Studio extensions.

Microsoft Azure-Tools   2.9
Microsoft Azure-Tools für Microsoft Visual Studio 2017 – v2.9.50719.1

Microsoft Azure HDInsight Azure Node   2.2.9000.1
HDInsight Node under Azure Node

Microsoft Azure Hive Query Language Service   2.2.9000.1
Language service for Hive query

Microsoft Azure Stream Analytics Language Service   2.2.9000.1
Language service for Azure Stream Analytics

Microsoft Azure Stream Analytics Node   1.0
Azure Stream Analytics Node under Azure Node

Microsoft Continuous Delivery-Tools für Visual Studio   0.3
Die Konfiguration der fortlaufenden Buildintegration und der fortlaufenden Buildbereitstellung innerhalb der Visual Studio-IDE wird vereinfacht.

Microsoft JVM Debugger   1.0
Provides support for connecting the Visual Studio debugger to JDWP compatible Java Virtual Machines

Microsoft MI-Based Debugger   1.0
Provides support for connecting Visual Studio to MI compatible debuggers

Microsoft Visual C++-Assistenten   1.0
Microsoft Visual C++-Assistenten

Mono Debugging for Visual Studio   4.6.8-pre (ec7034f)
Support for debugging Mono processes with Visual Studio.

NuGet-Paket-Manager   4.3.0
NuGet-Paket-Manager in Visual Studio. Weitere Informationen zu NuGet finden Sie unter "http://docs.nuget.org/".

Redgate ReadyRoll   1.14.2.3918
Extend DevOps processes to your SQL Server databases and safely automate database deployments.
    
Visit https://www.red-gate.com/readyroll for more information.

Copyright (C) 2011 Red Gate Software Ltd. All rights reserved.
  
This software contains components from Component Owl.
SQL Server is a registered trademark of Microsoft Corporation. 
Visual Studio is a registered trademark of Microsoft Corporation. 

ReadyRoll contains code from the following open source software:

NuGet https://www.nuget.org/
SQL LocalDB Wrapper https://github.com/martincostello/sqllocaldb
Autofac https://autofac.org/
Json.NET https://json.net/
MahApps.Metro http://mahapps.com/
SemVer https://github.com/maxhauser/semver
Log4Net http://logging.apache.org/log4net/
Extended WPF Toolkit https://wpftoolkit.codeplex.com/
Code InfoBox VSX http://www.codeproject.com/Articles/55196/Code-InfoBox-Visual-Studio-Extension-VSX
OctoPack https://github.com/OctopusDeploy/OctoPack
SQLite https://sqlite.org/

This product contains icons from http://www.visualpharm.com distributed under a free backlink license.

For license details or other notices relating to the above software, please see NOTICE.TXT and EULA.rtf in the ReadyRoll application folder.
    

Redgate SQL Prompt   8.0.2.1513
Write, format, and refactor SQL effortlessly

RegexTester   1.0
This is regular extension tester.

SQL Server Data Tools   15.1.61707.200
Microsoft SQL Server Data Tools

StopOnFirstBuildError   1.0
StopOnFirstBuildError

Stops a solution build immediately after a project has failed to build.

http://tech.einaregilsson.com/2011/01/06/stop-build-on-first-error-in-visual-studio-2010/

ToolWindowHostedEditor   1.0
Hosting json editor into a tool window

TypeScript   2.3.4.0
TypeScript-Tools für Visual Studio

VC-Paket für Microsoft Visual Studio   1.0
VC-Paket für Microsoft Visual Studio

Visual Studio Code Debug Adapter Host Package   1.0
Interop layer for hosting Visual Studio Code debug adapters in Visual Studio

Visual Studio Tools für universelle Windows-Apps   15.0.26730.08
Mit den Visual Studio Tools für universelle Windows-Apps können Sie eine universelle App-Erfahrung erstellen, die auf jedem Gerät genutzt werden kann, das Windows 10 ausführt: Smartphone, Tablet, PC und viele weitere Geräte. Das Microsoft Windows 10 SDK ist in den Tools enthalten.

VSColorOutput   2.5.1
Color output for build and debug windows - http://mike-ward.net/vscoloroutput

Xamarin   4.6.0.299 (b63523e27)
Visual Studio-Erweiterung, um Entwicklung für Xamarin.iOS und Xamarin.Android zu ermöglichen.

Xamarin.Android SDK   7.4.0.21 (2851083)
Xamarin.Android Reference Assemblies and MSBuild support.

Xamarin.iOS and Xamarin.Mac SDK   10.12.0.20 (80b8487)
Xamarin.iOS and Xamarin.Mac Reference Assemblies and MSBuild support.
Comment 18 Brent Krueger 2017-08-30 13:56:31 UTC
Thank you Torben Kruse, updating mono on my MAC resolved this issue for me. I was going crazy.
Comment 19 Mobigital 2017-09-28 20:31:57 UTC
I am using mono runtime 5.2.0.224 and getting 
System.MissingMethodException: Method 'System.Array.Reverse' not found. 


here is a stack trace of running lipo in my failing build, any ideas would be greatly appreciated!!


/usr/bin/lipo /Users/anatolii/company/redactedapp/XXXApp.iOS/obj/iPhone/Release/mtouch-cache/64/Output/XXXAppiOS /Users/anatolii/company/redactedapp/XXXApp.iOS/obj/iPhone/Release/mtouch-cache/32/Output/XXXAppiOS -create -output /Users/anatolii/company/redactedapp/XXXApp.iOS/bin/iPhone/Release/XXXAppiOS.app/XXXAppiOS
MTOUCH: error MT0000: Unexpected error - Please file a bug report at http://bugzilla.xamarin.com
		System.MissingMethodException: Method 'System.Array.Reverse' not found.
		  at Xamarin.MacDev.PropertyListFormat+BinaryFormat+Context.ReadBigEndianUInt64 () [0x00001] in /Users/builder/data/lanes/4991/8a391069/source/xamarin-macios/external/Xamarin.MacDev/Xamarin.MacDev/PListObject.cs:1480 
		  at Xamarin.MacDev.PropertyListFormat+BinaryFormat+Context+CFBinaryPlistTrailer.Read (Xamarin.MacDev.PropertyListFormat+BinaryFormat+Context ctx) [0x0001d] in /Users/builder/data/lanes/4991/8a391069/source/xamarin-macios/external/Xamarin.MacDev/Xamarin.MacDev/PListObject.cs:1815 
		  at Xamarin.MacDev.PropertyListFormat+BinaryFormat+Context..ctor (System.IO.Stream stream, System.Boolean reading) [0x00015] in /Users/builder/data/lanes/4991/8a391069/source/xamarin-macios/external/Xamarin.MacDev/Xamarin.MacDev/PListObject.cs:1293 
		  at Xamarin.MacDev.PropertyListFormat+BinaryFormat.StartReading (System.IO.Stream input) [0x00064] in /Users/builder/data/lanes/4991/8a391069/source/xamarin-macios/external/Xamarin.MacDev/Xamarin.MacDev/PListObject.cs:1260 
		  at Xamarin.MacDev.PObject.FromFile (System.String fileName, System.Boolean& isBinary) [0x0000b] in /Users/builder/data/lanes/4991/8a391069/source/xamarin-macios/external/Xamarin.MacDev/Xamarin.MacDev/PListObject.cs:335 
		  at Xamarin.MacDev.PDictionary.FromFile (System.String fileName, System.Boolean& isBinary) [0x00001] in /Users/builder/data/lanes/4991/8a391069/source/xamarin-macios/external/Xamarin.MacDev/Xamarin.MacDev/PListObject.cs:762 
		  at Xamarin.MacDev.PDictionary.FromFile (System.String fileName) [0x00001] in /Users/builder/data/lanes/4991/8a391069/source/xamarin-macios/external/Xamarin.MacDev/Xamarin.MacDev/PListObject.cs:749 
		  at Xamarin.Bundler.Driver.FromPList (System.String name) [0x00026] in /Users/builder/data/lanes/4991/8a391069/source/xamarin-macios/tools/mtouch/mtouch.cs:896 
		  at Xamarin.Bundler.Application.GetStringFromInfoPList (System.String directory, System.String key) [0x0001e] in /Users/builder/data/lanes/4991/8a391069/source/xamarin-macios/tools/mtouch/Application.cs:584 
		  at Xamarin.Bundler.Application.GetStringFromInfoPList (System.String key) [0x00001] in /Users/builder/data/lanes/4991/8a391069/source/xamarin-macios/tools/mtouch/Application.cs:575 
		  at Xamarin.Bundler.Application.get_BundleId () [0x00001] in /Users/builder/data/lanes/4991/8a391069/source/xamarin-macios/tools/mtouch/Application.cs:569 
		  at Xamarin.Bundler.Application.GenerateMSymManifest (Xamarin.Bundler.Target target, System.String target_directory) [0x00022] in /Users/builder/data/lanes/4991/8a391069/source/xamarin-macios/tools/mtouch/Application.cs:1926 
		  at Xamarin.Bundler.Application.BuildMSymDirectory () [0x00054] in /Users/builder/data/lanes/4991/8a391069/source/xamarin-macios/tools/mtouch/Application.cs:1996 
		  at Xamarin.Bundler.Application.BuildEnd () [0x00008] in /Users/builder/data/lanes/4991/8a391069/source/xamarin-macios/tools/mtouch/Application.cs:853 
		  at Xamarin.Bundler.Application+<>c.<BuildAll>b__134_3 (Xamarin.Bundler.Application v) [0x00000] in /Users/builder/data/lanes/4991/8a391069/source/xamarin-macios/tools/mtouch/Application.cs:778 
		  at System.Collections.Generic.List`1[T].ForEach (System.Action`1[T] action) [0x00024] in /private/tmp/source-mono-2017-02/bockbuild-2017-02/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/referencesource/mscorlib/system/collections/generic/list.cs:564 
		  at Xamarin.Bundler.Application.BuildAll () [0x000a3] in /Users/builder/data/lanes/4991/8a391069/source/xamarin-macios/tools/mtouch/Application.cs:778 
		  at Xamarin.Bundler.Driver.Main2 (System.String[] args) [0x00481] in /Users/builder/data/lanes/4991/8a391069/source/xamarin-macios/tools/mtouch/mtouch.cs:1420 
		  at Xamarin.Bundler.Driver.Main (System.String[] args) [0x0000f] in /Users/builder/data/lanes/4991/8a391069/source/xamarin-macios/tools/mtouch/mtouch.cs:945 
	Task "MTouch" execution -- FAILED
	Done building target "_CompileToNative" in project "/Users/anatolii/company/redactedapp/XXXApp.iOS/XXXApp.iOS.csproj".-- FAILED

Note You need to log in before you can comment on or make changes to this bug.